Skip to content

Endpoint

  • Method: GET
  • Path: /calendars/{id}/events/{event_id}/event-available-slots
  • Edition: Pro
  • Controller: SingleEventController@getEventAvailableSlots
  • Route source: fluent-booking-pro/app/Http/Routes/api.php:74
  • Policy: CalendarPolicy

Get Event Available Slots

GET
/calendars/{id}/events/{event_id}/event-available-slots

Handler: SingleEventController@getEventAvailableSlots. Source: fluent-booking-pro/app/Http/Routes/api.php:74.

Authorizations

ApplicationPasswords

WordPress Application Passwords — use Basic auth with username:application_password.

Type
API Key (header: Authorization)

Parameters

Path Parameters

id*

Id path parameter.

Type
string
Required
event_id*

Event Id path parameter.

Type
string
Required

Responses

Successful response.

application/json
JSON
{
"availability_schedules": [
{
"id": 0,
"object_type": "string",
"object_id": 0,
"key": "string",
"value": {
},
"created_at": "string",
"updated_at": "string"
}
],
"total": 0,
"per_page": 0,
"current_page": 0,
"last_page": 0,
"from": 0,
"to": 0
}

Playground

Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI